<?
	$this->headScript()
		->appendFile(_st('dashboard.js'), 'text/javascript')
		->appendScript('Cubix.Dashboard.container = "dashboard"')
		->appendFile(_st('comment-popup.js'));
?>

<h1><?= strtoupper(__('pv2_agency_heading', array('agency_name' => $this->user->getAgency()->name))) ?></h1>

<script type="text/javascript">
window.addEvent('domready', function() {
			
	//X-MAS Calendar ------------------

	/*if($('xmas-lottery')){

		xmasOverlay = new Cubix.Overlay($$('.xmas-door')[0], { loader: _st('/loader-small.gif'), position: '50%' });
		$$('#xmas-lottery .xmas-door').addEvent('click',function(e){
			xmasOverlay.disable();
			new Request({
				url:  "/private-v2/xmas-lottery",
				method: 'post',
				onSuccess: function (resp) {
					if(resp){
						$$('#xmas-lottery .message-box').set('html',resp);
						$$('.xmas-door').addClass('none');
						$$('.xmas-win')[0].removeClass('none');
					}
					else{
						$$('.xmas-door').addClass('none');
						$$('.xmas-no-luck')[0].removeClass('none');
					}
					xmasOverlay.enable();
				}	
			}).send();
		});
	}*/
	
	/* checking urgent message */
	new Request({
		url:  "<?= $this->getLink('private-v2-get-urgent-message') ?>",
		method: 'get',
		onSuccess: function (resp) {
			if (resp)
			{
				new Element('div', {'html': resp}).inject($('g-b'), 'top');

				$('umx').addEvent('click', function() {
					new Request({
						url:  "<?= $this->getLink('private-v2-set-urgent-message') ?>",
						method: 'get',
						onSuccess: function (resp) {
							$('urgent_message').destroy();
						}
					}).send();
				})
			}
		}
	}).send();
	/********************************************************/
	
	/* checking rejected verification */
	new Request({
		url:  "<?= $this->getLink('private-v2-get-rejected-verification') ?>",
		method: 'get',
		onSuccess: function (resp) {
			if (resp)
			{
				new Element('div', {'html': resp}).inject($('g-b'), 'top');

				$('rvx').addEvent('click', function() {
					new Request({
						url:  "<?= $this->getLink('private-v2-set-rejected-verification') ?>",
						method: 'get',
						onSuccess: function (resp) {
							$('rejected_verification').destroy();
						}
					}).send();
				})
			}
		}
	}).send();
	/********************************************************/
});
</script>

<? /*<div id="xmas-lottery" >
	<div class="text-info">
		<?= __('xmas_info_text') ?>
	</div>
	
	<div class="xmas-door <?= $this->agency->xmas_try == 0 ? '' : 'none'  ?> ">
		<div class="door-date">
			<?= date('j') ?></br> <?= __('month_12') ?>
		</div>
	</div>
	<div class="xmas-no-luck <?= $this->agency->xmas_try == 1 ? '' : 'none'  ?> ">
		<div class="label"><?= __('xmas_no_luck') ?></div>
		<div class="message-box"><span class="xmas-blue"> <?= __('xmas_try_again') ?></span> </div>
	</div>
	<div class="xmas-win <?= $this->agency->xmas_try == 2 ? '' : 'none'  ?> ">
		<? $win_code = $this->agency->xmas_try == 2 ? Model_EscortsV2::getWinCodeByUserId($this->user->id) : ''; ?>
		
		<div class="label"><?= __('xmas_winner') ?></div>
		<div class="message-box"><?= __('xmas_win_message', array('win_code' => $win_code))?> </div>
	</div>
</div>	
*/ ?>

<div id="g-b" class="gray-box form">
	
	<? /*<fieldset class="xmas_banner_<?= $this->lang() ?>">
		
	</fieldset> */ ?>
	
	<div class="self_checkout_ad_<?= $this->lang() ?>">
		<p><?= __('self_checkout_ad_text', array('URL' => $this->getLink('online-billing'))) ?></p>
	</div>
	<div class="clear"></div>
	
	<div class="vindent2" id="advertising_rates" style="margin-top: 10px">
		<span class="legend">
			<span class="i"><?= __('advertising_rates') ?></span>
		</span>
		<div class="body">
			<p class="strong red" style="font-size:15px; padding-bottom: 7px;"> 6annonce.com  <?= __('lowers_adv_prices') ?></p>
			<div class="strong" style="border:1px solid red; padding:10px"><?= __('lowers_adv_prices_text') ?></div>
			<div class="adv_prices" style="padding-top:15px; padding-bottom:8px">
				<div class="strong adv_rows ">Gold package 30 days: <span style='color:red'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 300 EUR </span> </div>
				<div class="strong adv_rows row2">Diamond package 15 days: <span style='color:red'>&nbsp;&nbsp;&nbsp; 250 EUR </span></div>
				<div class="strong adv_rows " style =" border-bottom:1px solid #FFF" >Diamond package 30 days: <span style='color:red'>&nbsp;&nbsp;&nbsp; 350 EUR </div>
			</div>

		</div>
	</div>
	
	<? if (/*$this->forum_note*/false): ?>
		<div class="vindent2" style="margin: 0px 0 20px 0; padding-bottom:10px; font-size: 15px;">
			<div class="body">
				<p class="strong red"><?= __('forum_note') ?></p>
			</div>
		</div>
	<? endif; ?>
			
	<div class="vindent2" style="margin-top: 0px;">
		<div class="body">
			<p class="strong red"><?= __('att_photos_count') ?></p><br/>
			<span class="strong"><?= __('pv2_agency_top_text') ?></span><br/><br/>
			

			<?
				$cache = Zend_Registry::get('cache');
				$cache_key =  'v2_agency_susp_escorts_' . $this->agency['id'];
				if ( ! $escorts_a = $cache->load($cache_key) ) {
					$escorts_a = $this->agency->getEscortsPerPage(1, 20, Model_Escorts::ESCORT_STATUS_ACTIVE, true);
					$cache->save($escorts_a, $cache_key, array(), 300);
				}
			?>
				
			<? $has_susp = false; ?>
			<? $has_invest = false; ?>
			<? $susp_escorts = array(); ?>
			<? $invest_escorts = array(); ?>
			<? if ( count($escorts_a['escorts']) > 0 ): ?>
				<? foreach( $escorts_a['escorts'] as $escort ): ?>
					<? if ( $escort['is_suspicious'] == 1 ): ?>
						<? $has_susp = true; ?>
						<? $susp_escorts[] = $escort['showname']; ?>	
					<? elseif ($escort['is_suspicious'] == 2): ?>
						<? $has_invest = true; ?>
						<? $invest_escorts[] = $escort['showname']; ?>	
					<? endif; ?>
				<? endforeach; ?>
			
				<? $shownames_susp = implode(', ', $susp_escorts); ?>
				<? $shownames_invest = implode(', ', $invest_escorts); ?>
			<? endif; ?>

			<? if ( $has_susp ): ?>
				<p class="strong"><?= __('suspicious_internal_text_agency', array('shownames' => $shownames_susp)) ?></p>
			<? elseif ( $has_invest ): ?>
				<p class="strong"><?= __('investigation_internal_text_agency', array('shownames' => $shownames_invest)) ?></p>
			<? endif; ?>
		</div>
	</div>
	
				
	<? if ( count($this->dash_escorts) ): ?>
	<div class="vindent2" style="padding: 20px 10px 10px 10px;">
		
		<span class="legend">
			<span class="i"><?= __('pv2_escorts_status') ?></span>
		</span>
		<div id="dashboard">
		<?= $this->render('private-v2/agency-dashboard.phtml'); ?>
		</div>
	</div>
	<? endif; ?>
	
<? /*
	<script type="text/javascript">
		window.addEvent('domready', function(){
			$('online_chat').addEvent('click', function(e){
				e.stop();
				window.open('http://chat.6annonce.com/chat7/chat.php?hash=<?= session_id() ?>', '6annonce', 'height=620, width=820');
			});
		});
	</script>
	<div class="vindent2" style="width: 275px; height: 255px ;float: left; padding: 20px 10px; margin-right: 5px;">
		<span class="legend">
			<span class="i"><?= $this->t('online_chat') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= __('chat_text_1') ?></p><br/>
			<p class="strong"><?= __('chat_text_2') ?></p><br/>
			<br/>
			<a href="#" id="online_chat"><img src="<?= _st('chat_big_red_btn.png') ?>" /></a>
		</div>
	</div>
*/ ?>


	<? $conf = Zend_Registry::get('escorts_config'); $bubbletext = isset($conf['bubbleText']) && $conf['bubbleText']; ?>

	<? if ( $bubbletext ): ?>
	<script type="text/javascript">
		window.addEvent('domready', function() {
			var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });

			$$('select[name=agency_escorts]').addEvent('change', function(){
				if ( this.get('value') != '0' ) {
					overlay.disable();
					new Request({
						url: '/private-v2/get-bubble-text?escort_id=' + this.get('value'),
						method: 'get',
						onSuccess: function (resp) {
							var resp = JSON.decode(resp);

							if ( resp ) {
								$('bubble-text').set('value', resp.text);
							}
							else {
								$('bubble-text').set('value', '');
							}

							$('bubble-error').setStyle('visibility', 'hidden');

							overlay.enable();
						}
					}).send();
				}
				else {
				
					$('bubble-text').set('value', '');
				}
			});			

			$('add-bubble-text').addEvent('click', function(e){
				e.stop();

				var escort_id = $$('select[name=agency_escorts]')[0].getSelected()[0].get('value');

				var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });

				if ( escort_id != '0') {
					overlay.disable();

					new Request({
						url: '/private-v2/add-bubble-text',
						data: { 'escort_id': escort_id, text: $('bubble-text').get('value') },
						method: 'post',
						onSuccess: function (resp) {
							if ( resp == 'one_per_day_limit' ) {
								$('bubble-error').setStyle('visibility', 'visible');
							}
							else if (resp.substr(0,9) == "You can`t"){
								$('bubble-error').set('html', resp);
								$('bubble-error').setStyle('visibility', 'visible');
							}
							else {
								$('bubble-error').setStyle('visibility', 'hidden');
							}
							overlay.enable();
						}
					}).send();
				}
				else {
					alert('Please select escort !');
				}

			});
			if($('comment_agency_escorts')){
				$('comment_agency_escorts').addEvent('change',function(){
					var params ={
							page:1,
							per_page: <?= $this->comments_per_page ?>
					}
					if ( this.get('value') != '0' ) {
							params.escort_id = this.get('value');
							params.is_agency = 0;
						}
					else{
							params.escort_id = '<?= $this->escort_id ?>';
							params.is_agency = 1;
					}
					LoadEscortComments(params);
				});
			}
			
			if($('review_agency_escorts')){
				$('review_agency_escorts').addEvent('change',function(){
					var params ={
							page:1,
							per_page: <?= $this->reviews_per_page ?>
					}
					if ( this.get('value') != '0' ) {
							params.escort_id = this.get('value');
							params.is_agency = 0;
						}
					else{
							params.is_agency = 1;
					}
					LoadEscortReviews(params);
				});
			}
			
			CommentReply = function(comment_id,escort_id){
				Cubix.CommentPopup.url = "<?= $this->getLink('private-v2-add-reply') ?>";
				Cubix.CommentPopup.Show('500', '520',comment_id,escort_id);
			}
			
			var ReviewReply = function(review_id){
				Cubix.Popup.url = "<?= $this->getLink('add-review-comment') ?>?review_id=" + review_id;
				Cubix.Popup.Show('500', '520');
				return false;
			}	
						
		});
	</script>

	<div class="vindent2" style="width: 280px; height: 255px; float: left; padding: 20px 10px; margin-right: 5px;">
		<span class="legend">
			<span class="i"><?= $this->t('instant_live_messages') ?></span>
		</span>
		
		<div class="body" id="mood-id">
			<span class="strong"><?= $this->t('share_mood') ?></span>
			<div style="margin-top: 20px; margin-bottom: 40px;">
				<p id="bubble-error"><?= __('pv2_alert_one_per_day_limit') ?></p>
				<label style="float: none; display: block; margin-bottom: 3px; width: 130px;"><?= $this->t('select_escort') ?>:</label>
				<select name="agency_escorts" style="width: 180px;">
					<option value="0">---</option>
					<? if ( count($this->escorts) ): ?>
					<? foreach( $this->escorts as $escort ): ?>
						<? if( $escort['gender'] == GENDER_MALE ): ?>
							<? continue; ?>
						<? endif; ?>
					<option value="<?= $escort['id'] ?>"><?= $escort['showname'] ?></option>
					<? endforeach; ?>
					<? endif; ?>
				</select>
			</div>
			<div class="clear"></div>
			<div class="mood">
				<input type="text" name="text" id="bubble-text" value="" />
				<button id="add-bubble-text"></button>
				<div class="clear"></div>
			</div>
		</div>
	</div>
	<? endif ?>

	<? /*<div class="vindent2" style="width: 275px; height: 255px; float: left; padding: 20px;">
		<span class="legend">
			<span class="i"><?= $this->t('news') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= __('hh_internal_text') ?></p><br/>
		</div>
	</div>*/ ?>
	
	<div class="vindent2" style="width: 275px; height: 255px ;float: left; padding: 20px 10px; margin-right: 5px;">
		<span class="legend">
			<span class="i"><?= $this->t('online_support') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= $this->t('online_support_text') ?></p>
			<p style="margin-top: 16px; text-align: center;">
				<a href="javascript:void(window.open('http://www.escortsupport.net/chat.php?acid=26d9b','','width=590,height=725,left=0,top=0,resizable=yes,menubar=no,location=no,status=yes,scrollbars=yes'))"><img width="200" height="50" border="0" alt="LiveZilla Live Chat Software" src="http://www.escortsupport.net/image.php?acid=afd6b&amp;id=3&amp;type=inlay"></a><!-- http://www.LiveZilla.net Chat Button Link Code --><!-- LiveZilla Tracking Code (ALWAYS PLACE IN BODY ELEMENT) --><div style="display:none" id="livezilla_tracking"><script async="" type="text/javascript" src="http://www.escortsupport.net/server.php?acid=7400d&amp;request=track&amp;output=jcrpt&amp;nse=0.967807468943089"></script><script async="" type="text/javascript" src="http://www.escortsupport.net/server.php?acid=7400d&amp;request=track&amp;output=jcrpt&amp;nse=0.8725475774584973"></script></div><script type="text/javascript">
				/* &lt;![CDATA[ */
				var script = document.createElement("script");script.async=true;script.type="text/javascript";var src = "http://www.escortsupport.net/server.php?acid=7400d&amp;request=track&amp;output=jcrpt&amp;nse="+Math.random();setTimeout("script.src=src;document.getElementById('livezilla_tracking').appendChild(script)",1);
				/* ]]&gt; */
				</script><noscript>&lt;img src="http://www.escortsupport.net/server.php?acid=7400d&amp;amp;request=track&amp;amp;output=nojcrpt" width="0" height="0" style="visibility:hidden;" alt="" /&gt;</noscript><!-- http://www.LiveZilla.net Tracking Code -->
			</p>
			<div class="red" style="margin: 15px 15px 0; font-size: 14px;"><?= $this->t('online_support_text_additional') ?></div>
		</div>
	</div>
		
	<div class="clear"></div>
	
	<? if ($this->last_post): ?>
	<div class="vindent2" style="height: 240px;">
		<span class="legend">
			<span class="i"><?= $this->t('last_forum_post') ?></span>
		</span>

		<div class="body" style="padding: 20px; font-size: 12px;">
			<div style="width: 150px; float: left;">
				<div style="text-align: center">
					<?= $this->last_post->author_name ?>
					<br/><br/>
					<? if (getimagesize('http://girlforum.6annonce.com/uploads/profile/photo-thumb-' . $this->last_post->author_id . '.jpg')): ?>
					<img width="90" height="90" src="http://girlforum.6annonce.com/uploads/profile/photo-thumb-<?= $this->last_post->author_id ?>.jpg" />
					<? else: ?>
					<img width="90" height="90" src="http://girlforum.6annonce.com/public/style_images/master/profile/default_large.png" />
					<? endif; ?>
				</div>
			</div>
			<div style="float: left; width: 720px; height: 180px; overflow-y: scroll; overflow-x: hidden;">
				Posted: <?= date('d M Y, H:i', $this->last_post->post_date) ?><br/><br/>
				<? $bbcode = new Cubix_BB2Html(); ?>
				<?= $bbcode->bb2html($this->last_post->post) ?>
			</div>
			
			<div class="clear"></div>
			<div style="float: right; margin-top: 15px; font-weight: bold;">
				<a href="http://girlforum.6annonce.com/index.php?/topic/<?= $this->last_post->topic_id ?>-<?= $this->last_post_topic_slug ?>/"><?= $this->t('reply') ?></a>
			</div>
			
			<div class="clear"></div>
		</div>
	</div>
	<? endif; ?>
	
	<div class="vindent2">
		<span class="legend">
			<span class="i"><?= __('pv2_main_nav') ?></span>
		</span>
		
		<ul id="navigation">
		<? foreach ( $this->navigation as $i => $link ): ?>
			<? if ($link['id'] == 'vip-disabled'): ?>
				<li>
					<span class="<?= $link['id'] ?>">
						<span style="position: relative"></span>
						<?= strtoupper($link['title']) ?>
					</span>
				</li>
			<? else: ?>
				<li<?= $i == count($this->navigation) - 1 ? ' class="no-sep"' : '' ?>>
					<a href="<?= $this->getLink($link['link']) ?>" class="<?= $link['id'] ?>">
						<span style="position: relative">
							<? //unread threads count on icon ?>
							<? if ( $link['id'] == 'private_messaging' && isset($link['unread_threads_count']) && $link['unread_threads_count']) : ?>
								<? if ( $link['unread_threads_count'] <= 9 ): ?>
									<p class="pm-count"><?= $link['unread_threads_count'] ?></p>
								<? else: ?>
									<p class="pm-count" style="font-size: 12px; line-height: 1.9"><?= '9+' ?></p>
								<? endif; ?>
							<? //unread support count on icon ?>
							<? elseif ( $link['id'] == 'support' && isset($link['supportUnreadsCount']) && $link['supportUnreadsCount']) : ?>
								<? if ( $link['supportUnreadsCount'] <= 9 ): ?>
									<p class="pm-count"><?= $link['supportUnreadsCount'] ?></p>
								<? else: ?>
									<p class="pm-count" style="font-size: 12px; line-height: 1.9"><?= '9+' ?></p>
								<? endif; ?>
							<? endif; ?>
						</span>
						<?= strtoupper($link['title']) ?>
					</a>
				</li>
				<? if( ($i + 1) % 6 == 0 ):?>
				<div class="clear"></div>
				<? endif; ?>
			<? endif; ?>
		<? endforeach ?>
		</ul>
		<div class="clear"></div>
	</div>
	
	<div class="gotd_ad_<?= $this->lang() ?>">
		<a href="<?= $this->getLink('private-v2-gotd') ?>">
			<img src="<?= _st('gotd_ad_' . $this->lang() . '.png') ?>" />
		</a>
	</div>
	
	<? if (!$this->agency->disabled_comments): ?>
		<? if ( count($this->comments) > 0 ): ?>
	<div class="vindent2 " style="padding: 32px 15px 0 15px ">
			<span class="legend">
				<span class="i"><?= __('my_comments') ?></span>
			</span>
		
				
		<div class="locker"></div>
		<div id="my-comments">
			<div id="comment-select-escort">
				<label style="float:none;display: block; margin-bottom: 3px; width: 130px;"><?= $this->t('select_escort') ?>:</label>
				<select name="comment_agency_escorts" id="comment_agency_escorts" style="width: 150px">
					<option value="0">ALL</option>
					<? if ( count($this->agency_escorts) ): ?>
					<? foreach( $this->agency_escorts as $escort ): ?>
					<option value="<?= $escort->id ?>"><?= $escort->showname ?></option>
					<? endforeach; ?>
					<? endif; ?>
				</select>
				<div class='clear'></div>
			</div>

			<div id="ajax-escort-comments">
				<?= $this->render('private-v2/ajax-escort-comments.phtml'); ?>
			</div>
		</div>
	</div>
		<? endif; ?>
	<? endif; ?>
	
	<? if ( count($this->reviews) > 0 ): ?>
	<div class="vindent2" style="padding: 32px 15px 0 15px ">
		<span class="legend">
			<span class="i"><?= __('my_reviews') ?></span>
		</span>
		<div class="locker"></div>	
		<div id="my-reviews">
			<div id="review-select-escort">
				<label style="float:none;display: block; margin-bottom: 3px; width: 130px;"><?= $this->t('select_escort') ?>:</label>
				<select name="review_agency_escorts" id="review_agency_escorts" style="width: 150px">
					<option value="0">ALL</option>
					<? if ( count($this->agency_escorts) ): ?>
					<? foreach( $this->agency_escorts as $escort ): ?>
					<option value="<?= $escort->id ?>"><?= $escort->showname ?></option>
					<? endforeach; ?>
					<? endif; ?>
				</select>
				<div class='clear'></div>
			</div>
			
			<div id="ajax-escort-reviews" style="padding:10px 0">
				<?= $this->render('private-v2/ajax-escort-reviews.phtml') ?>
			</div>
		</div>	
	</div>
	<? endif; ?>
	
	
</div><? /*gray-box*/ ?>
